Triangulator
Date: 2019-10-22

org.jmol.util

## Class Triangulator

- java.lang.Object
- - org.jmol.util.TriangleData
  - - org.jmol.util.Triangulator

-     public class Triangulator
      extends TriangleData

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int[][]` | `fullCubePolygon`

    - ### Fields inherited from class org.jmol.util.TriangleData

      `cubeVertexOffsets, edgeVertexes, Pwr2, triangleTable2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Triangulator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javajs.util.Lst<java.lang.Object>` | `intersectPlane(javajs.util.P4 plane, javajs.util.T3[] vertices, int flags)` a generic cell - plane intersector -- used for finding the plane through a not static so as to allow JavaScript to not load it as core.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fullCubePolygon

          public static final int[][] fullCubePolygon

  - ### Constructor Detail

    - #### Triangulator

          public Triangulator()

  - ### Method Detail

    - #### intersectPlane

          public javajs.util.Lst<java.lang.Object> intersectPlane(javajs.util.P4 plane,
                                                                  javajs.util.T3[] vertices,
                                                                  int flags)

      a generic cell - plane intersector -- used for finding the plane through a not static so as to allow JavaScript to not load it as core. unit cell
      Parameters:
        `plane` - intersecting plane, or null for a full list of all faces
        `vertices` - the vertices of the box or unit cell in canonical format
        `flags` - 0 -- polygon int[] 1 -- edges only 2 -- triangles only 3 -- both
      Returns:
        Lst of P3[3] triangles and P3[2] edge lines